﻿using System;
using System.Windows.Forms;
using System.Collections.Generic;



namespace BlanketyBlank
{
    public partial class Form1 : Form
    {
        // This file holds all of the global vars used by the application.

        string curDir = @"C:\temp\work\";

         /*
         * **********************************************************************
         * 
         * This section deals with the Javascript files that are used in the
         * blanking and reverse blanking operations. A process is launched for
         * the blanking and reverse blanking operations, the code is processed
         * in one run which is much faster.
         * 
         * PreBlank.js:
         * 
         * This script file removes all .hasOverrides if expressions from the 
         * code to be blanked as well as trimming all whitespace chars from each
         * line and removing blank lines from the code. It also returns any variable
         * assignment starting and stopping index values [code is processed in an
         * array] as well as all box assignment starting and stopping index values.
         * 
         * ******************************************
         * 
         * ReverseBlank.js:
         * 
         * This script file actually does the reverse blanking operation. Refer
         * to this file for the details. From here in C# we just run that process
         * and display the results or any returned error messages.
         */

        /*
         * preBlank .JS master script file: Needs to be stored here then
         * loaded onto user's temp folder on their computer upon form startup
         * else we would not be able to use it, I think it is a 'node' thing.
         * 
         * This is used by the blanking operation.
         */
        string preBlank = @"\\STFPRDW-APPS404\FormsProgramming\Shared Code\Calc Tools\PreBlank.js";

        // WORK USE - Testing:
        //string preBlank = @"E:\VisualStudioCode\CompleteExpressionJS\PreBlank.js";
        //string preBlank = @"C:\Users\rt900018\Documents\Visual Studio 2019\Blankety Blank\BlanketyBlank\PreBlank.js";
        //string preBlank = @"C:\Users\rt900018\PreBlank.js";
        //string preBlank = @"\\STFPRDW-APPS404\FormsProgramming\Visual Studio Projects\Blankety Blank\BlanketyBlank\PreBlank.js";


        // WORK USE - Testing - temp folder:
        //string preBlank = @"C:\Users\htruax\AppData\Local\Temp\PreBlank.js";

        // HOME USE - Testing:
        //string preBlank = @"H:\VisualStudioCode\CompleteExpressionJS\PreBlank.js";

        // The master PreBlank script file on the User's temp folder after form load.
        string preBlankTmp = "";

        /*
         * This is also in the User's temp folder, first it holds the selected
         * document code before the preBlank operation then it is re-written with
         * the preBlanked code. Deleted when tool closes.
         */
        string preBlankCode = "";
        string preBlankCodeName = "PreBlankCode.js";

        // ******************************************

        /*
         * revBlank .JS master script file: Needs to be stored here then
         * loaded onto user's temp folder on their computer upon form startup
         * else we would not be able to use it, I think it is a 'node' thing.
         * 
         * This is used by the reverse blanking operation.
         */
        string revBlank = @"\\STFPRDW-APPS404\FormsProgramming\Shared Code\Calc Tools\ReverseBlank.js";
        //string revBlank = @"C:\Users\rt900018\Documents\Visual Studio 2019\Blankety Blank\BlanketyBlank\ReverseBlank.js";
        //string revBlank = @"\\STFPRDW-APPS404\FormsProgramming\Visual Studio Projects\Blankety Blank\BlanketyBlank\ReverseBlank.js";


        // WORK USE - Testing:
        //string revBlank = @"E:\VisualStudioCode\CompleteExpressionJS\ReverseBlank.js";

        // The master revBlank script file in the User's temp folder after form load.
        string revBlankTmp = "";

        /*
         * This is also in the User's temp folder, first it holds the selected
         * document code before the revBlank operation then it is re-written with
         * the revBlanked code. Deleted when tool closes.
         */
        string revBlankCode = "";
        string revBlankCodeName = "RevBlankCode.js";

        // **********************************************************************

        // This tells us if this app was started from a code editor.
        bool fromEditor = false;

        // The title of our Form.
        string wndwTitle = "BLANKETY BLANK 4.0";
    }
}